<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.GpgExtension.gpg</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.GpgExtension.gpg</h1>
<p>
Module implementing the gpg extension interface.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#Gpg">Gpg</a></td>
<td>Class implementing the gpg extension interface.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="Gpg" ID="Gpg"></a>
<h2>Gpg</h2>
<p>
    Class implementing the gpg extension interface.
</p>

<h3>Derived from</h3>
HgExtension
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#Gpg.__init__">Gpg</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#Gpg.hgGpgSign">hgGpgSign</a></td>
<td>Public method used to list the available bookmarks.</td>
</tr>
<tr>
<td><a href="#Gpg.hgGpgSignatures">hgGpgSignatures</a></td>
<td>Public method used to list all signed changesets.</td>
</tr>
<tr>
<td><a href="#Gpg.hgGpgVerifySignatures">hgGpgVerifySignatures</a></td>
<td>Public method used to verify the signatures of a revision.</td>
</tr>
<tr>
<td><a href="#Gpg.shutdown">shutdown</a></td>
<td>Public method used to shutdown the gpg interface.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="Gpg.__init__" ID="Gpg.__init__"></a>
<h4>Gpg (Constructor)</h4>
<b>Gpg</b>(<i>vcs</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcs</i> (Hg)</dt>
<dd>
reference to the Mercurial vcs object
</dd>
</dl>
<a NAME="Gpg.hgGpgSign" ID="Gpg.hgGpgSign"></a>
<h4>Gpg.hgGpgSign</h4>
<b>hgGpgSign</b>(<i>revisions=None</i>)
<p>
        Public method used to list the available bookmarks.
</p>

<dl>

<dt><i>revisions</i> (list of str)</dt>
<dd>
list containing the revisions to be signed
</dd>
</dl>
<a NAME="Gpg.hgGpgSignatures" ID="Gpg.hgGpgSignatures"></a>
<h4>Gpg.hgGpgSignatures</h4>
<b>hgGpgSignatures</b>(<i></i>)
<p>
        Public method used to list all signed changesets.
</p>

<a NAME="Gpg.hgGpgVerifySignatures" ID="Gpg.hgGpgVerifySignatures"></a>
<h4>Gpg.hgGpgVerifySignatures</h4>
<b>hgGpgVerifySignatures</b>(<i>rev=None</i>)
<p>
        Public method used to verify the signatures of a revision.
</p>

<dl>

<dt><i>rev</i> (str)</dt>
<dd>
revision to check
</dd>
</dl>
<a NAME="Gpg.shutdown" ID="Gpg.shutdown"></a>
<h4>Gpg.shutdown</h4>
<b>shutdown</b>(<i></i>)
<p>
        Public method used to shutdown the gpg interface.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
